# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

DESCRIPTION="STACK is a static checker that detects unstable code in C/C++ programs"
HOMEPAGE="http://css.csail.mit.edu/stack/"
SRC_URI="https://github.com/xiw/stack/archive/master.zip -> stack-master.zip"
S="${WORKDIR}/${PN}-master"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND="
	sys-devel/clang
	>sys-devel/llvm-3.3.9999"
RDEPEND="${DEPEND}"

src_configure() {
	autoreconf -fvi
	econf
}

src_install() {
	default

	dobin src/ncpu
	dobin src/optck
	dobin src/poptck
	dobin test/stack-build

	exeinto /usr/bin/stack
	doexe test/arm-linux-gnueabi-g++
	doexe test/arm-linux-gnueabi-gcc
	doexe test/cc1
	doexe test/gcc

	into /usr/bin/stack
	dosym ${DESTTREE}/gcc ${DESTTREE}/c++
	dosym ${DESTTREE}/gcc ${DESTTREE}/cc
	dosym ${DESTTREE}/gcc ${DESTTREE}/clang
	dosym ${DESTTREE}/gcc ${DESTTREE}/clang++
	dosym ${DESTTREE}/gcc ${DESTTREE}/g++
}
